net.minecraft.util

## Class ChatComponentTranslationFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - net.minecraft.util.ChatComponentTranslationFormatException

- All Implemented Interfaces:
    java.io.Serializable

      public class ChatComponentTranslationFormatException
      extends java.lang.IllegalArgumentException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChatComponentTranslationFormatException(ChatComponentTranslation p_i45162_1_, int p_i45162_2_)`
    `ChatComponentTranslationFormatException(ChatComponentTranslation p_i45161_1_, java.lang.String p_i45161_2_)`
    `ChatComponentTranslationFormatException(ChatComponentTranslation p_i45163_1_, java.lang.Throwable p_i45163_2_)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChatComponentTranslationFormatException

          public ChatComponentTranslationFormatException(ChatComponentTranslation p_i45161_1_,
                                                 java.lang.String p_i45161_2_)

    - #### ChatComponentTranslationFormatException

          public ChatComponentTranslationFormatException(ChatComponentTranslation p_i45162_1_,
                                                 int p_i45162_2_)

    - #### ChatComponentTranslationFormatException

          public ChatComponentTranslationFormatException(ChatComponentTranslation p_i45163_1_,
                                                 java.lang.Throwable p_i45163_2_)